## qtruby 4.13.0

=== src/CMakeLists.txt ===

add_subdirectory( lib )

IF(QT_QTDBUS_FOUND)
    ADD_DEFINITIONS (-DQT_QTDBUS)
ENDIF(QT_QTDBUS_FOUND)

IF(QWT_FOUND)
    ADD_DEFINITIONS (-DQT_QWT)
ENDIF(QWT_FOUND)

if(RUBY_VERSION)
    ADD_DEFINITIONS (-DRUBY_VERSION=0x${RUBY_VERSION_NUMBER})
ENDIF(RUBY_VERSION)

include_directories( ${SMOKE_INCLUDE_DIR} ${RUBY_INCLUDE_DIRS} )
INCLUDE_DIRECTORIES (${QT_INCLUDES})


set(qtrubyshared_LIB_SRCS 
   Qt.cpp 
   handlers.cpp 
   marshall_types.cpp
   )

set(qtruby_LIB_SRCS qtruby.cpp)

# Use 'MODULE' instead of 'SHARED' so that qtruby will be built as a bundle on Mac OS X
# instead of a dyld. But is this correct (rjd)? It needs testing.
add_library(qtruby4shared SHARED ${qtrubyshared_LIB_SRCS})
add_library(qtruby4 MODULE ${qtruby_LIB_SRCS})

target_link_libraries(  qtruby4shared 
                            ${QT_QTCORE_LIBRARY} 
                            ${QT_QTGUI_LIBRARY} 
                            ${RUBY_LIBRARY} 
                            ${QT_QTNETWORK_LIBRARY}
                            ${SMOKE_BASE_LIBRARY}
                            ${SMOKE_QTCORE_LIBRARY} 
                            ${SMOKE_QTGUI_LIBRARY} 
                            ${SMOKE_QTXML_LIBRARY} 
                            ${SMOKE_QTOPENGL_LIBRARY} 
                            ${SMOKE_QTSQL_LIBRARY} 
                            ${SMOKE_QTNETWORK_LIBRARY} 
                            ${SMOKE_QTDBUS_LIBRARY} 
                            ${SMOKE_QTSVG_LIBRARY} )

target_link_libraries(  qtruby4 
                            ${QT_QTCORE_LIBRARY} 
                            ${QT_QTGUI_LIBRARY} 
                            ${QT_QTDBUS_LIBRARY} 
                            ${RUBY_LIBRARY} 
                            ${QT_QTNETWORK_LIBRARY} 
                            ${SMOKE_QTCORE_LIBRARY} 
                            ${SMOKE_QTGUI_LIBRARY} 
                            ${SMOKE_QTXML_LIBRARY} 
                            ${SMOKE_QTOPENGL_LIBRARY} 
                            ${SMOKE_QTSQL_LIBRARY} 
                            ${SMOKE_QTNETWORK_LIBRARY} 
                            ${SMOKE_QTDBUS_LIBRARY} 
                            ${SMOKE_QTSVG_LIBRARY}
                            qtruby4shared )

# target_link_libraries(qtrubyinternal ${QT_QTCORE_LIBRARY} ${RUBY_LIBRARY} ${QT_QTNETWORK_LIBRARY})

set_target_properties(qtruby4 PROPERTIES PREFIX "")
set_target_properties(qtruby4shared PROPERTIES VERSION 2.0.0 SOVERSION 2)

install(TARGETS qtruby4shared EXPORT QtRuby4Export DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
install(TARGETS qtruby4 DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(EXPORT QtRuby4Export DESTINATION ${CMAKE_INSTALL_PREFIX}/share/qtruby4/cmake NAMESPACE QTRUBY4_ )

install(FILES qtruby.h marshall.h marshall_basetypes.h marshall_complex.h marshall_macros.h marshall_primitives.h marshall_types.h smokeruby.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include/qtruby)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtruby4.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtruby4.bundle\" )" )
endif (Q_WS_MAC)

=== modules/qtdeclarative/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES})

set(rubyqtdeclarative_LIBRARY_SRC qtdeclarative.cpp qtdeclarativehandlers.cpp)
add_library(rubyqtdeclarative MODULE ${rubyqtdeclarative_LIBRARY_SRC})
target_link_libraries(rubyqtdeclarative
    ${QT_QTDECLARATIVE_LIBRARY}
    ${SMOKE_QTDECLARATIVE_LIBRARY}
    qtruby4shared
)
set_target_properties(rubyqtdeclarative PROPERTIES PREFIX "" OUTPUT_NAME qtdeclarative)
install(TARGETS rubyqtdeclarative DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES qtdeclarative.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/qtdeclarative)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtdeclarative.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtdeclarative.bundle\" )" )
endif (Q_WS_MAC)

=== modules/qtscript/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES} ${KDE4_INCLUDE_DIR})

set(qtscript_LIBRARY_SRC qtscript.cpp qtscripthandlers.cpp)

add_library(qtscript MODULE ${qtscript_LIBRARY_SRC})
target_link_libraries(qtscript
    ${QT_QTSCRIPT_LIBRARY}
    ${SMOKE_QTSCRIPT_LIBRARY}
    qtruby4shared
)
set_target_properties(qtscript PROPERTIES PREFIX "")
install(TARGETS qtscript DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES qtscript.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/qtscript)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtscript.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtscript.bundle\" )" )
endif (Q_WS_MAC)

=== modules/qtuitools/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES})

set(rubyqtuitools_LIBRARY_SRC qtuitools.cpp qtuitoolshandlers.cpp)
add_library(rubyqtuitools MODULE ${rubyqtuitools_LIBRARY_SRC})
target_link_libraries(rubyqtuitools
    ${SMOKE_QTUITOOLS_LIBRARY}
    qtruby4shared
)
set_target_properties(rubyqtuitools PROPERTIES PREFIX "" OUTPUT_NAME qtuitools)
install(TARGETS rubyqtuitools DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES qtuitools.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/qtuitools)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtuitools.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtuitools.bundle\" )" )
endif (Q_WS_MAC)

=== modules/qwt/CMakeLists.txt ===
find_package(Qwt5 REQUIRED)

include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES} ${Qwt5_INCLUDE_DIR} )

set(rubyqwt_LIBRARY_SRC qwt.cpp qwthandlers.cpp)
add_library(rubyqwt MODULE ${rubyqwt_LIBRARY_SRC})
target_link_libraries(rubyqwt
    ${SMOKE_QWT_LIBRARY}
    qtruby4shared
)
set_target_properties(rubyqwt PROPERTIES PREFIX "" OUTPUT_NAME qwt)
install(TARGETS rubyqwt DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES qwt.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/qwt)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qwt.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qwt.bundle\" )" )
endif (Q_WS_MAC)

=== tools/rbrcc/CMakeLists.txt ===
SET(rbrcc_SRCS rcc.cpp main.cpp )

ADD_EXECUTABLE(rbrcc ${rbrcc_SRCS})
TARGET_LINK_LIBRARIES (rbrcc ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY})

INSTALL(TARGETS rbrcc DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== tools/rbuic/CMakeLists.txt ===

include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/ruby )

########### next target ###############

set(rbuic4_bin_SRCS 
   customwidgetsinfo.cpp 
   databaseinfo.cpp 
   driver.cpp 
   treewalker.cpp 
   ui4.cpp 
   uic.cpp 
   validator.cpp 
   ruby/rbextractimages.cpp 
   ruby/rbwritedeclaration.cpp 
   ruby/rbwriteicondata.cpp 
   ruby/rbwriteicondeclaration.cpp 
   ruby/rbwriteiconinitialization.cpp 
   ruby/rbwriteinitialization.cpp 
   main.cpp )

add_executable(rbuic4_bin ${rbuic4_bin_SRCS})
set_target_properties(rbuic4_bin PROPERTIES OUTPUT_NAME rbuic4)
set_target_properties(rbuic4_bin PROPERTIES COMPILE_FLAGS -DQT_UIC_RB_GENERATOR)

target_link_libraries(rbuic4_bin  ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} )

install(TARGETS rbuic4_bin DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)


########### next target ###############


########### install files ###############

=== debian/changelog ===
qtruby (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:33:30 +0100

qtruby (4:4.12.97-0ubuntu2) trusty; urgency=medium

  * Resynchronize packaging with Debian.  Can be sync'ed once Debian has a
    higher version and default Ruby in Ubuntu is 2.0 or later
    - Update for new Ruby policy and Ruby 2.0 as default (LP: #1303366)
    - Drop debian/patches/use_ruby1.8.diff
    - Wrap and sort debian/control
    - Install files in Ruby vendor locations as per Ruby policy
  * Don't specify RUBY_CONFIG_INCLUDE_DIR in debian/rules
    - For Ruby 1.9 it isn't needed and the Ruby 2.0 and later method does not
      work
  * Adjust .so file install locations in .install files to match Ruby 1.9

 -- Scott Kitterman <scott@kitterman.com>  Sun, 06 Apr 2014 18:36:50 -0400

qtruby (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 12:00:33 +0200

qtruby (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 13:05:16 +0100

qtruby (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:09:49 +0000

qtruby (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:21:19 +0100

qtruby (4:4.12.2-0ubuntu2) trusty; urgency=low

  * No change rebuild for libqscintilla2-11 transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Feb 2014 10:33:19 -0500

qtruby (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:35:45 +0000

qtruby (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:50:28 +0000

qtruby (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:52:36 +0000

qtruby (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:51:00 +0000

qtruby (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:45:03 +0100

qtruby (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:07:05 +0100

=== debian/control ===
Source: qtruby
Section: ruby
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>,
           Sune Vuorela <sune@debian.org>,
           David Palacio <dpalacio@orbitalibre.org>,
           Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Cédric Boutillier <boutil@debian.org>
Build-Conflicts: libruby1.8
Build-Depends: cmake,
               debhelper (>= 9),
               libphonon-dev,
               libqscintilla2-dev,
               libqt4-dev,
               libqtwebkit-dev,
               libsmokeqt4-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.6.8),
               ruby,
               ruby-dev,
               smoke-dev-tools (>= 4:4.11)
Standards-Version: 3.9.5
Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/qtruby.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary

Package: libqtruby4shared2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: internal library for Qt 4 Ruby bindings
 This package provides an internal library of Qt Ruby.
 .
 This is part of the Qt Ruby module.

Package: libqtruby4shared-dev
Section: libdevel
Architecture: any
Depends: smoke-dev-tools (>= 4:4.10), ${misc:Depends}, ${so:Depends}
Description: internal library for Qt 4 Ruby bindings -- development
 This package provides the development files of the internal Qt Ruby library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qscintilla2
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: QScintilla2 bindings for the Ruby language
 This package provides the Ruby bindings for the QScintilla2 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ruby
Provides: libqt4-ruby, libqt4-ruby1.8
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: Qt 4 bindings for the Ruby language
 This package provides the Ruby bindings for some of the Qt 4 modules:
  * QtCore
  * QtDBus
  * QtGui
  * QtNetwork
  * QtXml
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-declarative
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: QtDeclarative bindings for the Ruby language
 This package provides the Ruby bindings for the QtDeclarative Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-dbg
Priority: extra
Section: debug
Architecture: any
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}
Recommends: libsmokeqt4-dbg
Description: Qt 4 bindings for the Ruby language -- debug symbols
 This package provides the debug symbols of the Qt 4 Ruby bindings.
 .
 This is part of the Qt Ruby module.

Package: ruby-phonon
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: Phonon bindings for the Ruby language
 This package provides the Ruby bindings for the Phonon library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-script
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtScript bindings for the Ruby language
 This package provides the Ruby bindings for the QtScript Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-test
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtTest bindings for the Ruby language
 This package provides the Ruby bindings for the QtTest Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-uitools
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtUiTools bindings for the Ruby language
 This package provides the Ruby bindings for the QtUiTools Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: ruby-qt4-webkit
Architecture: any
Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
Description: QtWebKit bindings for the Ruby language
 This package provides the Ruby bindings for the QtWebKit Qt 4 library.
 .
 This is part of the Qt Ruby module.

Package: libqt4-ruby
Architecture: all
Section: oldlibs
Priority: extra
Depends: ruby-qt4, ${misc:Depends}
Description: transitional package for ruby-qt4
 This is a transitional package to ease upgrades to the ruby-qt4 package.
 It can safely be removed.

Package: libqt4-ruby1.8
Architecture: all
Section: oldlibs
Priority: extra
Depends: ruby-phonon,
         ruby-qt4,
         ruby-qt4-script,
         ruby-qt4-test,
         ruby-qt4-uitools,
         ruby-qt4-webkit,
         ${misc:Depends}
Description: transitional package for ruby-qt4
 This is a transitional package to ease upgrades to the ruby-qt4 package.
 It can safely be removed.

=== debian/rules ===
#! /usr/bin/make -f

pkgs_lib := $(filter-out %-dev %-dbg,$(filter lib%,$(shell dh_listpackages)))
current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')


#RUBY_CONFIG_INCLUDE_DIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["rubyarchhdrdir"]')
RUBY_VENDORARCHDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorarchdir"]')
RUBY_VENDORLIBDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
CMAKE_FLAGS := \
  -DCUSTOM_RUBY_SITE_LIB_DIR=$(RUBY_VENDORLIBDIR) \
  -DCUSTOM_RUBY_SITE_ARCH_DIR=$(RUBY_VENDORARCHDIR) \
  $(NULL)

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=ruby-qt4-dbg

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_compress:
	dh_compress -X.rb -X.ui -X.mng -X.xbel

override_dh_installexamples:
	dh_installexamples
	tar cvzf $(CURDIR)/debian/ruby-qt4/usr/share/doc/ruby-qt4/examples.tar.gz examples

override_dh_makeshlibs:
	dh_makeshlibs -V
# Generate shlibs local files
	for pkg in $(pkgs_lib); do \
		if test -e debian/$${pkg}/DEBIAN/shlibs ; then \
			sed 's/>=[^)]*/= $(current_version)/' debian/$${pkg}/DEBIAN/shlibs >> debian/shlibs.local ;\
		fi \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/shlibs.local

#Build-Depend on pkg-kde-tools (>= 0.6.8) for the sodeps addon
%:
	dh $@ --parallel --with sodeps

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/qtruby-([\d\.]+)\.tar\.xz

## qtruby 4.13.97

=== debian/changelog ===
qtruby (4:4.13.97-0ubuntu1~ubuntu14.04~ppa4) trusty; urgency=medium

  * Fix depend version
  * Fix install files

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 17:39:01 -0700

qtruby (4:4.13.97-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 14:31:16 -0700

qtruby (4:4.13.97-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 31 Jul 2014 13:23:32 -0700

qtruby (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:57:54 +0200

qtruby (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:51:48 +0200

qtruby (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian:
   - Don't specify RUBY_CONFIG_INCLUDE_DIR in debian/rules
    - For Ruby 1.9 it isn't needed and the Ruby 2.0 and later method does not
      work

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:05 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
            Michael Meskes <meskes@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
            Cédric Boutillier <boutil@debian.org>
-Build-Conflicts: libruby1.8
 Build-Depends: cmake,
                debhelper (>= 9),
                libphonon-dev,
                libqscintilla2-dev,
                libqt4-dev,
-               libqtwebkit-dev,
+               libqtwebkit-dev,          
                libsmokeqt4-dev (>= 4:4.11),
                pkg-kde-tools (>= 0.6.8),
                ruby,
@@ -23,7 +22,7 @@
                smoke-dev-tools (>= 4:4.11)
 Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
-X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/qtruby.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/qtruby.git
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
 X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
@@ -32,6 +31,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ruby-kde4 (<< 4:4.11.3-4~), ruby-soprano (<< 4:4.11.3-4~)
 Description: internal library for Qt 4 Ruby bindings
  This package provides an internal library of Qt Ruby.
  .

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 
 
-#RUBY_CONFIG_INCLUDE_DIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["rubyarchhdrdir"]')
 RUBY_VENDORARCHDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorarchdir"]')
 RUBY_VENDORLIBDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
 CMAKE_FLAGS := \

## qtruby 4.14.1

=== debian/changelog ===
qtruby (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 18:02:38 +0200

qtruby (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:45:47 +0200

qtruby (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:37:59 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libphonon-dev,
                libqscintilla2-dev,
                libqt4-dev,
-               libqtwebkit-dev,          
+               libqtwebkit-dev,
                libsmokeqt4-dev (>= 4:4.11),
                pkg-kde-tools (>= 0.6.8),
                ruby,
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: ruby-kde4 (<< 4:4.11.3-4~), ruby-soprano (<< 4:4.11.3-4~)
+Breaks: ruby-soprano (<< 4:4.11.3-4~), ruby-kde4 (<< 4:4.11.3-4~)
 Description: internal library for Qt 4 Ruby bindings
  This package provides an internal library of Qt Ruby.
  .

## qtruby 4.14.2

=== debian/changelog ===
qtruby (4:4.14.2-0ubuntu5) wily; urgency=medium

  * No-change rebuild to add ruby2.2 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Sep 2015 14:50:19 +0000

qtruby (4:4.14.2-0ubuntu4) wily; urgency=medium

  * No-change rebuild against libsmokeqt*v5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 21:28:47 +0200

qtruby (4:4.14.2-0ubuntu3) wily; urgency=medium

  * No-change rebuild against libsmokeqt*v5.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 08:32:48 +0200

qtruby (4:4.14.2-0ubuntu2) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:38:06 +0100

qtruby (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:50:58 -0700

=== debian/control ===
--- 
+++ 
@@ -27,11 +27,13 @@
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
 X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
 
-Package: libqtruby4shared2
+Package: libqtruby4shared2v5
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: ruby-soprano (<< 4:4.11.3-4~), ruby-kde4 (<< 4:4.11.3-4~)
+Conflicts: libqtruby4shared2
+Replaces: libqtruby4shared2
 Description: internal library for Qt 4 Ruby bindings
  This package provides an internal library of Qt Ruby.
  .

## qtruby 4.14.3

=== CMakeLists.txt ===
project(QtRuby)
cmake_minimum_required(VERSION 2.6)
set(COMPILE_RUBY FALSE CACHE INTERNAL "")

find_package(Ruby REQUIRED)
find_package(Qt4 REQUIRED)
find_package(Smoke COMPONENTS QtCore QtGui QtXml QtOpenGl QtSql QtNetwork QtDbus QtSvg Phonon QSci QtDeclarative QtScript QtWebkit QtUiTools QtTest Qwt)
include_directories(${SMOKE_INCLUDE_DIR} ${SMOKE_QTCORE_INCLUDE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src ${QT_INCLUDES})

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${SMOKE_CMAKE_MODULE_DIR})
include(MacroOptionalFindPackage)
include(MacroOptionalAddBindings)
include(MacroLogFeature)

macro_optional_find_package(QScintilla)
macro_log_feature(QSCINTILLA_FOUND "QScintilla2" "QScintilla2 libraries" "http://www.riverbankcomputing.co.uk/software/qscintilla/intro" FALSE "" "Needed to compile QScintilla2 bindings")

macro_optional_find_package(Qwt5)
macro_log_feature(Qwt5_Qt4_FOUND "Qwt5 for Qt4" "Qwt5 libraries for Qt4" "http://qwt.sourceforge.net" FALSE "" "Needed to compile Qwt5 bindings")

macro_optional_find_package(Phonon)
macro_log_feature(PHONON_FOUND "Phonon" "Phonon multimedia framework" "http://www.kde.org" FALSE "" "Needed to compile Phonon bindings")

if (RUBY_LIBRARY AND RUBY_INCLUDE_DIRS AND RUBY_EXECUTABLE)
    set(COMPILE_RUBY TRUE CACHE INTERNAL "")
endif (RUBY_LIBRARY AND RUBY_INCLUDE_DIRS AND RUBY_EXECUTABLE)

macro_log_feature(COMPILE_RUBY "Ruby" "Ruby interpreter and libraries" "http://www.ruby-lang.org" FALSE "" "Needed to compile the Ruby bindings")

if (NOT COMPILE_RUBY)
    return()
endif (NOT COMPILE_RUBY)

SET(CUSTOM_RUBY_SITE_ARCH_DIR ${RUBY_SITEARCH_DIR} CACHE DIR "custom installation directory for ruby binary extension" )
SET(CUSTOM_RUBY_SITE_LIB_DIR ${RUBY_SITELIB_DIR} CACHE DIR "custom installation directory for ruby extension" )

# compute an overall version number which can be compared at once
MATH(EXPR RUBY_VERSION_NUMBER "${RUBY_VERSION_MAJOR}*10000 + ${RUBY_VERSION_MINOR}*100 + ${RUBY_VERSION_PATCH}")


message(STATUS "Ruby Executable: " ${RUBY_EXECUTABLE})
message(STATUS "Ruby Libraries: " ${RUBY_LIBRARY})
message(STATUS "Ruby Include Directories: " ${RUBY_INCLUDE_DIRS})

add_subdirectory( bin )
add_subdirectory( modules )
add_subdirectory( rails_support )
add_subdirectory( src )
add_subdirectory( tools )

add_subdirectory( cmake ) #needs to be after 'modules'

macro_display_feature_log()

=== cmake/CMakeLists.txt ===
set(QTRUBY4_EXPORT ${CMAKE_INSTALL_PREFIX}/share/qtruby4/cmake/QtRuby4Export.cmake)
set(QTRUBY4SHARED_LIBRARY QTRUBY4_qtruby4shared)

configure_file(QtRuby4Config.cmake.in
                    ${CMAKE_CURRENT_BINARY_DIR}/QtRuby4Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtRuby4Config.cmake DESTINATION ${CMAKE_INSTALL_PREFIX}/share/qtruby4/cmake)

=== tools/CMakeLists.txt ===
add_subdirectory( rbuic )
add_subdirectory( rbrcc )

=== modules/qttest/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES} ${KDE4_INCLUDE_DIR})

set(qttest_LIBRARY_SRC qttest.cpp qttesthandlers.cpp)

add_library(qttest MODULE ${qttest_LIBRARY_SRC})
target_link_libraries(qttest
    ${SMOKE_QTTEST_LIBRARY}
    qtruby4shared
)
set_target_properties(qttest PROPERTIES PREFIX "")
install(TARGETS qttest DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES qttest.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/qttest)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qttest.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qttest.bundle\" )" )
endif (Q_WS_MAC)

=== modules/qtwebkit/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/generator ${RUBY_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/ruby/qtruby/src)
INCLUDE_DIRECTORIES (${QT_INCLUDES})

set(rubyqtwebkit_LIBRARY_SRC qtwebkit.cpp qtwebkithandlers.cpp)
add_library(rubyqtwebkit MODULE ${rubyqtwebkit_LIBRARY_SRC})
target_link_libraries(rubyqtwebkit
    ${QT_QTWEBKIT_LIBRARY}
    ${SMOKE_QTWEBKIT_LIBRARY}
    qtruby4shared
)
set_target_properties(rubyqtwebkit PROPERTIES PREFIX "" OUTPUT_NAME qtwebkit)
install(TARGETS rubyqtwebkit DESTINATION ${CUSTOM_RUBY_SITE_ARCH_DIR})
install(FILES qtwebkit.rb DESTINATION ${CUSTOM_RUBY_SITE_LIB_DIR}/qtwebkit)

if (Q_WS_MAC)
    install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtwebkit.so\"  \"${CUSTOM_RUBY_SITE_ARCH_DIR}/qtwebkit.bundle\" )" )
endif (Q_WS_MAC)

=== debian/changelog ===
qtruby (4:4.14.3-1ubuntu2) xenial; urgency=medium

  * Merge with Debian; no remaining changes.
  * libqtruby4shared2: Conflicts/Replaces libqtruby4shared2v5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 08:41:47 +0100

qtruby (4:4.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update debian/watch
  * Bump standards version to 3.9.6
  * Drop ruby-qt4-webkit binary and libqtwebkit-dev build-depends in aid of
    Qt4 WebKit removal goal (Closes: #784517)
    - Build-Conflict libqtwebkit-dev just to be sure
  * Drop obsolete libqt4-ruby1.8 transitional package

 -- Scott Kitterman <scott@kitterman.com>  Thu, 10 Sep 2015 15:25:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtruby
 Section: ruby
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Sune Vuorela <sune@debian.org>,
            David Palacio <dpalacio@orbitalibre.org>,
@@ -14,26 +13,24 @@
                libphonon-dev,
                libqscintilla2-dev,
                libqt4-dev,
-               libqtwebkit-dev,
                libsmokeqt4-dev (>= 4:4.11),
                pkg-kde-tools (>= 0.6.8),
                ruby,
                ruby-dev,
                smoke-dev-tools (>= 4:4.11)
-Standards-Version: 3.9.5
+Build-Conflicts: libqtwebkit-dev
+Standards-Version: 3.9.6
 Homepage: http://projects.kde.org/projects/kde/kdebindings/ruby/qtruby
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/qtruby.git
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtruby
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/qtruby.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/qtruby.git;a=summary
 
-Package: libqtruby4shared2v5
+Package: libqtruby4shared2
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: ruby-soprano (<< 4:4.11.3-4~), ruby-kde4 (<< 4:4.11.3-4~)
-Conflicts: libqtruby4shared2
-Replaces: libqtruby4shared2
+Conflicts: libqtruby4shared2v5
+Replaces: libqtruby4shared2v5
 Description: internal library for Qt 4 Ruby bindings
  This package provides an internal library of Qt Ruby.
  .
@@ -134,16 +131,16 @@
  .
  This is part of the Qt Ruby module.
 
-Package: ruby-qt4-webkit
-Architecture: any
-Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
-Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
-Description: QtWebKit bindings for the Ruby language
- This package provides the Ruby bindings for the QtWebKit Qt 4 library.
- .
- This is part of the Qt Ruby module.
-
+#Package: ruby-qt4-webkit
+#Architecture: any
+#Depends: ruby-qt4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+#Breaks: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
+#Replaces: libqt4-ruby (<< 4:4.6.80), libqt4-ruby1.8 (<< 4:4.6.80)
+#Description: QtWebKit bindings for the Ruby language
+# This package provides the Ruby bindings for the QtWebKit Qt 4 library.
+# .
+# This is part of the Qt Ruby module.
+#
 Package: libqt4-ruby
 Architecture: all
 Section: oldlibs
@@ -152,18 +149,18 @@
 Description: transitional package for ruby-qt4
  This is a transitional package to ease upgrades to the ruby-qt4 package.
  It can safely be removed.
-
-Package: libqt4-ruby1.8
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ruby-phonon,
-         ruby-qt4,
-         ruby-qt4-script,
-         ruby-qt4-test,
-         ruby-qt4-uitools,
-         ruby-qt4-webkit,
-         ${misc:Depends}
-Description: transitional package for ruby-qt4
- This is a transitional package to ease upgrades to the ruby-qt4 package.
- It can safely be removed.
+#
+#Package: libqt4-ruby1.8
+#Architecture: all
+#Section: oldlibs
+#Priority: extra
+#Depends: ruby-phonon,
+#         ruby-qt4,
+#         ruby-qt4-script,
+#         ruby-qt4-test,
+#         ruby-qt4-uitools,
+#         ruby-qt4-webkit,
+#         ${misc:Depends}
+#Description: transitional package for ruby-qt4
+# This is a transitional package to ease upgrades to the ruby-qt4 package.
+# It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,11 @@
 current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 
 
+RUBY_CONFIG_INCLUDE_DIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["rubyarchhdrdir"]')
 RUBY_VENDORARCHDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorarchdir"]')
 RUBY_VENDORLIBDIR := $(shell ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
 CMAKE_FLAGS := \
+  -DRUBY_CONFIG_INCLUDE_DIR=$(RUBY_CONFIG_INCLUDE_DIR) \
   -DCUSTOM_RUBY_SITE_LIB_DIR=$(RUBY_VENDORLIBDIR) \
   -DCUSTOM_RUBY_SITE_ARCH_DIR=$(RUBY_VENDORARCHDIR) \
   $(NULL)
@@ -23,8 +25,8 @@
 override_dh_compress:
 	dh_compress -X.rb -X.ui -X.mng -X.xbel
 
-override_dh_installexamples:
-	dh_installexamples
+override_dh_installexamples-arch:
+	dh_installexamples -a
 	tar cvzf $(CURDIR)/debian/ruby-qt4/usr/share/doc/ruby-qt4/examples.tar.gz examples
 
 override_dh_makeshlibs:

=== debian/watch ===
version=3
http://download.kde.org/stable/(\d+(?:\.\d+)*)/src/ \
(?:|.*/)qtruby(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
